Internet Browser | System Requirements + Supported Browsers

 


1) What are browser requirements & why are they important
2) Web application supported browsers
3) Web application browser configuration requirements

 

1) What are browser requirements & why are they important.

easyemployer is a web-based application that runs in a web browser.

Before you use easyemployer, make sure your computer meets or exceeds the minimum hardware requirements for your operating system (Windows or macOS) and you are running a supported operating system version. 

See Microsoft or Apple's website for the requirements and supported operating system versions. 

The local performance of the computer device running the web browser needs to be commensurate with existing applications running on the device (e.g. Antivirus) and the expected workloads of the browser (e.g. multiple tabs).

easyemployer broadly recommends a modern computer system that meets (or exceeds) the below:

  • A minimum monitor resolution of 1024x768.
  • 4 gigabytes (GB) of RAM.
  • A modern Intel or AMD Multicore CPU that has been released in the past 7 years.
    • Refer to your chipset manufacturer for further details.

 

2) Web application supported browsers.

easyemployer recommends Google Chrome browser for best performance and compatibility.

Whichever browser you use; your browser must be supported by easyemployer and a "stable release" version (not an alpha, beta, nightly, or development build).

This applies to all browsers, regardless of the operating system.


KEY:   ✅ Supported.   ⚠️ Not Recommended.


iconfinder_chrome-512_148652.jpg Google Chrome (recommended browser)
firefox.jpg Mozilla Firefox
safari.jpg Apple Safari
edge_chromium.jpg Microsoft Edge (Chromium)
old_edge.jpg ⚠️ Microsoft Edge (Non-Chromium)
ie11.jpg ⚠️ Microsoft Internet Explorer 11

If you are currently using Internet Explorer 11, we recommend you switch to Microsoft Edge (chromium) or another supported browser.

 

3) Web application browser configuration requirements.

JavaScript must be enabled.
Cookies must be enabled.
Local storage must be enabled.
TLS v1.2 or above.

 

Have more questions? Submit a request
Powered by Zendesk